#!/bin/bash
#####################################################################################################################
# Description : This script installs all the necessary files (libraries, firmwares, udev, include) on Linux machine. 
# Written by  : Jan Soldan (astrosoft@email.cz)
# Version     : 1.03
# Date        : 11/2017
#####################################################################################################################

# install firmware

mkdir -p /lib/udev
mkdir -p /lib/udev/rules.d
cp -a lib/udev/rules.d/*  /lib/udev/rules.d

mkdir -p /etc/udev
mkdir -p /etc/udev/rules.d
cp -a etc/udev/rules.d/*  /etc/udev/rules.d

cp -a sbin/fxload /sbin/fxload


mkdir -p /usr/local/fx3load
cp -a usr/local/fx3load/*  /usr/local/fx3load


mkdir -p /lib/firmware
mkdir -p /lib/firmware/qhy
cp -a lib/firmware/qhy/*  /lib/firmware/qhy


mkdir -p /usr/local/udev
cp -a usr/local/udev/*  /usr/local/udev

mkdir -p /usr/share/usb
cp -a usr/share/usb/*  /usr/share/usb



cp -a usr/local/CameraPlugIns/* /usr/local/CameraPlugIns

cp -a usr/local/MiscellaneousFiles/* /usr/local/MiscellaneousFiles

